ubuntu/+source/pciutils:applied/ubuntu/eoan

Last commit made on 2019-07-09
Get this branch:
git clone -b applied/ubuntu/eoan https://git.launchpad.net/ubuntu/+source/pciutils
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/eoan
Repository:
lp:ubuntu/+source/pciutils

Recent commits

359cc1f... by Guillem Jover <email address hidden> on 2019-07-07

Import patches-applied version 1:3.6.2-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 64b1d076b1519a29ed4c416fd6c052ee4b990812
Unapplied parent: 697d150ec0882715f2e8dd976d211b6e21d31f36

New changelog entries:
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to Standards-Version 4.4.0.
  * Update pci.ids file to latest version 2019.06.30.

697d150... by Guillem Jover <email address hidden> on 2019-07-07

Fix fortify compiler warnings

Gbp-Pq: fortify.patch.

e4d0760... by Guillem Jover <email address hidden> on 2019-07-07

Fix man page typos

Gbp-Pq: man-page-typos.patch.

6098560... by Guillem Jover <email address hidden> on 2019-07-07

libpci-dev: libpci.pc misses -lresolv and -lz for static linking

Gbp-Pq: 07-697383-libpci.pc.in.patch.

763c556... by Guillem Jover <email address hidden> on 2019-07-07

Rewrite of upstream update-pciids script

Gbp-Pq: 04-update-pciids.sh.patch.

5fcf1cc... by Guillem Jover <email address hidden> on 2019-07-07

03-pci.ids.patch

No DEP3 Subject or Description header found

Gbp-Pq: 03-pci.ids.patch.

1f63bc7... by Guillem Jover <email address hidden> on 2019-07-07

Upstream build system fixes

Gbp-Pq: 01-Makefile.patch.

f3c8492... by Guillem Jover <email address hidden> on 2019-07-07

Add support for GNU style system names

Gbp-Pq: 00-configure.patch.

33ec790... by Guillem Jover <email address hidden> on 2019-07-07

Import patches-unapplied version 1:3.6.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 76ec5d527dec7f251f7393672045c481675581af

New changelog entries:
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to Standards-Version 4.4.0.
  * Update pci.ids file to latest version 2019.06.30.

64b1d07... by Guillem Jover <email address hidden> on 2019-04-10

Import patches-applied version 1:3.6.2-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 91eed2aafebfbe9202facd0682ea61cde0556e3b
Unapplied parent: 2ebf4a5ef951eb4f8183a892e740495bcd2e9d6f

New changelog entries:
  * New upstream release. Closes: #895425
    - Refresh patches.
    - Remove 03-pci.ids.patch, the pci.ids is now up-to-date.
  * Namespace debhelper fragment files with binary package name.
  * Update debian/control:
    - Remove obsolete dependencies on pciutils-dev and libpci2.
    - Remove duplicate or inflated Priority fields.
    - Line-wrap and sort fields.
    - Remove Build-Depends on dpkg-dev satisfied in oldstable.
    - Set Rules-Requires-Root to no.
    - Replace pathname for static library with just a reference to it in the
      packages description.
    - Switch to Standards-Version 4.3.0.
  * Switch to debhelper compatibility level 12.
  * Remove pcimodules program, superseded by «lspci -k».
    Closes: #599335, #893966
  * Remove trailing whitespace.
  * Update debian/rules:
    - Remove obsolete source and diff targets.
    - Do not set DH_VERBOSE by default.
    - Refactor all build system flags into a confflags variable.
    - Run debhelper commands for all packages.
    - Fix targets and dependencies.
    - Line wrap long rules command.
    - Enable hardening flags.
  * Install example.c in libpci-dev instead of pciutils.
  * Switch pciutils-udeb to link dynamically against libpci3-udeb.
  * Fix upstream build system to install the static library with install-lib.
  * Switch to use the upstream build system and debhelper fragment files to
    install the packaged files into their correct place:
    - Make the upstream build system install programs, header and libraries.
    - Move ad-hoc installation from debian/rules into debhelper install
      fragment files.
    - Remove unused debhelper dirs fragment files.
  * Reformat maintainer scripts.
    - Use two-space indentation.
    - Remove space in shebang.
    - Do not use old-style quotes.
  * Add new symbols file for the shared library.
  * Add a lintian override for shlib-calls-exit, as the library does call
    exit(3) by default, but makes it possible for the caller to setup a
    different error handler.
  * Fix typos in man pages.
  * Fix fortify compiler warnings.
  * Make the libpci-dev package Multi-Arch same. Closes: #721270
  * Add metadata to patch files.